## vim-youcompleteme 0%2B20160327%2Bgit1b76af4

=== debian/changelog ===
vim-youcompleteme (0+20160327+git1b76af4-0ubuntu1) xenial; urgency=low

  [ Onur Aslan ]
  * New upstream release. (LP: #1538532)
  * Refresh patches for new upstreal release.
  * Remove 01-vim-expression-to-python-type.patch (fixed in upstream).
  * Update 00-path-to-server-script.patch to avoid using sys.executable
    for python interpreter path.
  * Update dependencies to use python3.
  * Run nosetests3 in override_dh_auto_test.

  [ Matthias Klose ]
  * Add breaks to vim-athena-py2, vim-gnome-py2, vim-gtk-py2, vim-nox-py2.
  * Use python3 for the packaging.

 -- Onur Aslan <onur@onur.im>  Fri, 01 Apr 2016 20:47:03 +0300

vim-youcompleteme (0+20160229+git94ec3ed-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Update ycmd dependency version in d/control.
  * Update 00-path-to-server-script.patch to set ycmd path in ycm.paths
    module.
  * Increase complexity for flake8 in d/rules override_dh_auto_test.
  * Use HTTPS URI's for Vcs-Git and Vcs-Browser fields.
  * Remove python-flake8 and add flake8 into Build-Depends.
  * Add 01-vim-expression-to-python-type.patch.

 -- Onur Aslan <onur@onur.im>  Tue, 29 Mar 2016 14:06:03 +0300

vim-youcompleteme (0+20151025+gitf20c693-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstream version.
  * Update ycmd version in Build-Depends and Depends.
  * Add python-requests and python-requests-futures into Build-Depends.
  * Add retries to PYTHONPATH for nosetests.

 -- Onur Aslan <onur@onur.im>  Mon, 02 Nov 2015 13:41:28 +0300

vim-youcompleteme (0+20150806+gitc5a5145-1) unstable; urgency=low

  * New upstream release.
  * Add ycmd dependency version requirement.
  * override_dh_auto_test in debian/rules to enable tests.
  * Add python-flake8, python-hamcrest, python-mock, python-nose,
    python-flake8 and ycmd into Build-Depends for tests.
  * Add copyright info for: python/ycm/tests/vimsupport_test.py.
  * Update copyright years.

 -- Onur Aslan <onur@onur.im>  Fri, 07 Aug 2015 12:25:01 +0300

vim-youcompleteme (0+20150616+gitbc5f581-1) unstable; urgency=low

  * New upstream release. (Closes: #758021)
  * ycmd is separated from project and no longer part of this package.
    All patches, Build-Depends and Depends related to ycmd have been removed.
  * Use dpt (debian-perl-tools) repack.sh to repack source in
    debian/rules get-orig-source.
  * Remove ycmd related overrides in debian/rules.
  * Remove examples and ycmd example: ycm_extra_conf.py
  * Update copyright information.
  * Add ycmd dependency.
  * Add python-requests-futures dependency. Remove embedded copy of
    python-requests-futures from source. (Closes: #780292)
  * Install python directory into /u/s/vim-youcompleteme/python/.
  * Package architecture is all now.
  * Update Vcs-Browser URL for cgit.
  * Replace python-dev dependency with python.

 -- Onur Aslan <onur@onur.im>  Mon, 13 Jul 2015 12:31:40 +0300

vim-youcompleteme (0+20140207+git18be5c2-2) unstable; urgency=low

  [ Onur Aslan ]
  * Enable tests for ycm_core
  * Add google-mock and libgtest-dev to Build-Depends
  * More detailed description for 00-build-system.patch
  * Override dh_auto_test to run ycm_core_tests
  * Use canonical URI in Vcs-Git
  * Add minimum version requirement to python-requests dependency
    (Closes: #745768)
  * Bump standards to 3.9.6

  [ Sebastian Ramacher ]
  * debian/patches/03-tempdir.patch: Update patch to fix issues with
    :YcmRestartServer if the temporary directory got deleted to early.
    (Closes: #745496)

 -- Onur Aslan <onur@onur.im>  Mon, 13 Oct 2014 21:19:31 +0300

vim-youcompleteme (0+20140207+git18be5c2-1) unstable; urgency=low

  [ Onur Aslan ]
  * New upstream version
  * Support for llvm-3.4 and llvm-3.5
  * Refresh and update patches for new upstream version:
    + 00-build-system.patch:
      - Remove BoostParts from target_link_libraries for both CLIENT_LIB
        and SERVER_LIB 
      - Remove Boost component thread and libboost-thread-dev from
        Build-Depends
      - Use cmake file function to find llvm include directory
      - Use additional clang versions (3.3, 3.4 and 3.5) in find_library
    + 01-script-folder-path.patch:
      - Use only one PYTHONPATH (/usr/lib/vim-youcompleteme) in vim plugin
        and python application
    + 02-default-conf.patch:
      - Set global_ycm_extra_conf in new configuration
  * New python dependencies
  * Install third party libraries into PYTHONPATH
  * Copyright information for third party libraries
  * Remove tests from final package
  * Exclude some third party libraries from orig.tar.gz, they already exist
    in Debian
  * Use minimum python version 2.7
  * Update Vcs-Git and Vcs-Browser fields

  [ Sebastian Ramacher ]
  * debian/patches/03-tempdir.patch: Use temporary directory instead of
    /tmp/ycm_temp so that names of edited files are not leaked to other users.

 -- Onur Aslan <onur@onur.im>  Thu, 13 Feb 2014 23:55:54 +0200

vim-youcompleteme (0+20131009+gitcbb43ba-1) unstable; urgency=low

  * Initial release. (Closes: #700217)

 -- Onur Aslan <onur@onur.im>  Tue, 17 Dec 2013 11:12:14 +0200

## vim-youcompleteme 0+20140207+git18be5c2

=== cpp/CMakeLists.txt ===
# Copyright (C) 2011, 2012  Google Inc.
#
# This file is part of YouCompleteMe.
#
# YouCompleteMe is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# YouCompleteMe is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with YouCompleteMe.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required( VERSION 2.8 )
project( YouCompleteMe )

option( UNIVERSAL "Build universal mac binary" OFF )

if ( CMAKE_GENERATOR STREQUAL Xcode )
  set( CMAKE_GENERATOR_IS_XCODE true )
endif()

if ( ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD" )
  set( SYSTEM_IS_FREEBSD true )
endif()

if ( ${CMAKE_SYSTEM_NAME} MATCHES "SunOS" )
  set( SYSTEM_IS_SUNOS true )
endif()

# Check if platform is 64 bit
if( CMAKE_SIZEOF_VOID_P EQUAL 4 )
  set( 64_BIT_PLATFORM 0 )
else()
  set( 64_BIT_PLATFORM 1 )
endif()

#############################################################################

# Turning on this flag tells cmake to emit a compile_commands.json file.
# This file can be used to load compilation flags into YCM. See here for more
# details: http://clang.llvm.org/docs/JSONCompilationDatabase.html
set( CMAKE_EXPORT_COMPILE_COMMANDS 1 )

#############################################################################

# This is needed so that on macs, the library is built in both 32 bit and 64 bit
# versions. Without this python might refuse to load the module, depending on
# how python was built.
# On Mac, boost needs to be compiled universal as well, if used instead of the
# included BoostParts lib. For brew, that's
# "brew install boost --universal"
# If the user chose to use the system libclang.dylib (or the libclang.dylib
# binary downloaded from llvm.org) on a mac, then we don't specify universal
# binary building since the system libclang on macs is not  universal (and thus
# linking would fail with universal).
if ( UNIVERSAL AND NOT USE_SYSTEM_LIBCLANG )
  set( CMAKE_OSX_ARCHITECTURES "i386;x86_64" )
endif()

#############################################################################

if ( CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
  set( COMPILER_IS_CLANG true )

  # Linux machines don't necessarily have libc++ installed alongside clang,
  # but HAS_LIBCXX11 doesn't always trigger for machines that DO have libc++. We
  # know that at least all the Mac OS versions we support that use Clang have
  # libc++, so we're safe there. On FreeBSD 9 libc++ is an optional build
  # toggle. On FreeBSD 10 it is the default.
  if ( HAS_LIBCXX11 OR APPLE OR SYSTEM_IS_FREEBSD )
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++" )
  endif()

  # Ninja will by default prevent Clang from outputting diagnostics in color, so
  # we force color output
  if ( CMAKE_GENERATOR STREQUAL "Ninja" )
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fcolor-diagnostics" )
  endif()
endif()

#############################################################################

# Force release build by default, speed is of the essence
if ( NOT CMAKE_BUILD_TYPE )
  set( CMAKE_BUILD_TYPE Release )
endif()

#############################################################################

# Determining the presence of C++11 support in the compiler
set( CPP11_AVAILABLE false )
if ( CMAKE_COMPILER_IS_GNUCXX )
  execute_process(
    COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
  if ( GCC_VERSION VERSION_GREATER 4.6 OR GCC_VERSION VERSION_EQUAL 4.6 )
    set( CPP11_AVAILABLE true )
  endif()
elseif( COMPILER_IS_CLANG )
  set( CPP11_AVAILABLE true )
  set( CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LANGUAGE_STANDARD "c++11" )
  set( CMAKE_XCODE_ATTRIBUTE_CLANG_CXX_LIBRARY "libc++" )
endif()

#############################################################################

# For MSVC enable UNICODE and compilation on multiple processors
if ( MSVC )
  add_definitions( /DUNICODE /D_UNICODE /Zc:wchar_t-  )
	set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP" )
endif()

# Solves the conflict in names of hypot in python sources and boost::python
if ( MINGW )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -include cmath")
endif()

# Due to a bug/misconfiguration/stupidity, boost 1.52 and libc++ don't like each
# other much: a compilation error "Constexpr function never produces a constant
# expression" pops up when trying to compile anything that uses
# boost/chrono/duration.hpp (namely boost/thread for us). This is a workaround
# that prevents this from happening. Also present in cpp/BoostParts/CMakeLists.txt.
# See here for more details: https://svn.boost.org/trac/boost/ticket/7671
# TODO: remove this when it's fixed upstream (probably boost 1.53).
add_definitions( -DBOOST_THREAD_DONT_USE_CHRONO )

if( MSVC OR CYGWIN )
  # BOOST_ALL_NO_LIB turns off MSVC library autolinking
  add_definitions( -DBOOST_ALL_NO_LIB )
endif()

if( WIN32 OR CYGWIN )
  # BOOST_PYTHON_SOURCE makes boost use the correct __declspec
  add_definitions( -DBOOST_PYTHON_SOURCE -DBOOST_THREAD_USE_LIB )
  if ( 64_BIT_PLATFORM )
    # Enables python compilation for 64-bit Windows
    add_definitions( -DMS_WIN64 )
  endif()
endif()

#############################################################################

# When used with Clang, adding the -std=c++0x flag to CMAKE_CXX_FLAGS will cause
# the compiler to output a warning during linking:
#  clang: warning: argument unused during compilation: '-std=c++0x'
# This is caused by cmake passing this flag to the linking stage which it
# shouldn't do. It's ignored so it does no harm, but the warning is annoying.
#
# Putting the flag in add_definitions() works around the issue, even though it
# shouldn't in theory go there.
if ( CPP11_AVAILABLE )
  message( "Your C++ compiler supports C++11, compiling in that mode." )

  # Cygwin needs its hand held a bit; see issue #473
  if ( CYGWIN AND CMAKE_COMPILER_IS_GNUCXX )
    add_definitions( -std=gnu++0x )
  else()
    add_definitions( -std=c++0x )
  endif()
else()
  message(
    "Your C++ compiler does NOT support C++11, compiling in C++03 mode." )
endif()

add_subdirectory( BoostParts )
add_subdirectory( ycm )

=== cpp/ycm/CMakeLists.txt ===
# Copyright (C) 2011, 2012  Google Inc.
#
# This file is part of YouCompleteMe.
#
# YouCompleteMe is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# YouCompleteMe is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with YouCompleteMe.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required( VERSION 2.8 )

project( ycm_support_libs )
set( CLIENT_LIB "ycm_client_support" )
set( SERVER_LIB "ycm_core" )

set( Python_ADDITIONAL_VERSIONS 2.7 2.6 )
find_package( PythonLibs 2.6 REQUIRED )

if ( NOT PYTHONLIBS_VERSION_STRING VERSION_LESS "3.0.0" )
  message( FATAL_ERROR
    "CMake found python3 libs instead of python2 libs. YCM works only with "
    "python2.\n" )
endif()

option( USE_DEV_FLAGS "Use compilation flags meant for YCM developers" OFF )
option( USE_CLANG_COMPLETER "Use Clang semantic completer for C/C++/ObjC" OFF )
option( USE_SYSTEM_LIBCLANG "Set to ON to use the system libclang library" OFF )
set( PATH_TO_LLVM_ROOT "" CACHE PATH "Path to the root of a LLVM+Clang binary distribution" )
set( EXTERNAL_LIBCLANG_PATH "" CACHE PATH  "Path libclang library to use" )

if ( USE_CLANG_COMPLETER AND NOT USE_SYSTEM_LIBCLANG AND NOT PATH_TO_LLVM_ROOT )
  message( "Downloading Clang 3.4" )

  set( CLANG_URL "http://llvm.org/releases/3.4" )

  if ( APPLE )
    set( CLANG_DIRNAME "clang+llvm-3.4-x86_64-apple-darwin10.9" )
    set( CLANG_MD5 "4f43ea0e87090ae5e7bec12373ca4927" )
    set( CLANG_FILENAME "${CLANG_DIRNAME}.tar.gz" )
  else()
    if ( 64_BIT_PLATFORM )
      set( CLANG_DIRNAME "clang+llvm-3.4-x86_64-unknown-ubuntu12.04" )
      set( CLANG_MD5 "6077459d20a7ff412eefc6ce3b9f5c85" )
      set( CLANG_FILENAME "${CLANG_DIRNAME}.tar.xz" )
    else()
      message( "No pre-built Clang 3.4 binaries for 32 bit linux, "
               "downloading Clang 3.3" )
      set( CLANG_URL "http://llvm.org/releases/3.3" )
      set( CLANG_DIRNAME "clang+llvm-3.3-i386-debian6" )
      set( CLANG_MD5 "415d033b60659433d4631df894673802" )
      set( CLANG_FILENAME "${CLANG_DIRNAME}.tar.bz2" )
    endif()
  endif()

  file(
    DOWNLOAD "${CLANG_URL}/${CLANG_FILENAME}" "./${CLANG_FILENAME}"
    SHOW_PROGRESS EXPECTED_MD5 "${CLANG_MD5}"
  )

  if ( CLANG_FILENAME MATCHES ".+bz2" )
    execute_process( COMMAND tar -xjf ${CLANG_FILENAME} )
  elseif( CLANG_FILENAME MATCHES ".+xz" )
    execute_process( COMMAND tar -xJf ${CLANG_FILENAME} )
  else()
    execute_process( COMMAND tar -xzf ${CLANG_FILENAME} )
  endif()

  # And set PATH_TO_LLVM_ROOT
  set( PATH_TO_LLVM_ROOT "${CMAKE_CURRENT_BINARY_DIR}/../${CLANG_DIRNAME}" )
endif()

if ( PATH_TO_LLVM_ROOT OR USE_SYSTEM_LIBCLANG OR EXTERNAL_LIBCLANG_PATH )
  set( USE_CLANG_COMPLETER TRUE )
endif()

if ( USE_CLANG_COMPLETER AND
     NOT PATH_TO_LLVM_ROOT AND
     NOT USE_SYSTEM_LIBCLANG AND
     NOT EXTERNAL_LIBCLANG_PATH )
  message( FATAL_ERROR
    "You have not specified which libclang to use. You have several options:\n"
    " 1. Set PATH_TO_LLVM_ROOT to a path to the root of a LLVM+Clang binary "
    "distribution. You can download such a binary distro from llvm.org. This "
    "is the recommended approach.\n"
    " 2. Set USE_SYSTEM_LIBCLANG to ON; this makes YCM search for the system "
    "version of libclang.\n"
    " 3. Set EXTERNAL_LIBCLANG_PATH to a path to whatever "
    "libclang.[so|dylib|dll] you wish to use.\n"
    "You HAVE to pick one option. See the docs for more information.")
endif()

if ( USE_CLANG_COMPLETER )
  message( "Using libclang to provide semantic completion for C/C++/ObjC" )
else()
  message( "NOT using libclang, no semantic completion for C/C++/ObjC will be "
           "available" )
endif()

if ( PATH_TO_LLVM_ROOT )
  set( CLANG_INCLUDES_DIR "${PATH_TO_LLVM_ROOT}/include" )
else()
  set( CLANG_INCLUDES_DIR "${CMAKE_SOURCE_DIR}/llvm/include" )
endif()

if ( NOT IS_ABSOLUTE "${CLANG_INCLUDES_DIR}" )
  get_filename_component(CLANG_INCLUDES_DIR
    "${CMAKE_BINARY_DIR}/${CLANG_INCLUDES_DIR}" ABSOLUTE)
endif()

if ( NOT EXTERNAL_LIBCLANG_PATH AND PATH_TO_LLVM_ROOT )
  if ( MINGW )
    set( LIBCLANG_SEARCH_PATH "${PATH_TO_LLVM_ROOT}/bin" )
  else()
    set( LIBCLANG_SEARCH_PATH "${PATH_TO_LLVM_ROOT}/lib" )
  endif()

  # Need TEMP because find_library does not work with an option variable
  find_library( TEMP NAMES clang libclang
                PATHS ${LIBCLANG_SEARCH_PATH}
                NO_DEFAULT_PATH )
  set( EXTERNAL_LIBCLANG_PATH ${TEMP} )
endif()

# This is a workaround for a CMake bug with include_directories(SYSTEM ...)
# on Mac OS X. Bug report: http://public.kitware.com/Bug/view.php?id=10837
if ( APPLE )
  set( CMAKE_INCLUDE_SYSTEM_FLAG_CXX "-isystem " )
endif()

# The SYSTEM flag makes sure that -isystem[header path] is passed to the
# compiler instead of the standard -I[header path]. Headers included with
# -isystem do not generate warnings (and they shouldn't; e.g. boost warnings are
# just noise for us since we won't be changing them).
include_directories(
  SYSTEM
  ${BoostParts_SOURCE_DIR}
  ${PYTHON_INCLUDE_DIRS}
  ${CLANG_INCLUDES_DIR}
  )

file( GLOB_RECURSE SERVER_SOURCES *.h *.cpp )

# The test sources are a part of a different target, so we remove them
# The CMakeFiles cpp file is picked up when the user creates an in-source build,
# and we don't want that. We also remove client-specific code
file( GLOB_RECURSE to_remove tests/*.h tests/*.cpp CMakeFiles/*.cpp *client* )

if( to_remove )
  list( REMOVE_ITEM SERVER_SOURCES ${to_remove} )
endif()

if ( USE_CLANG_COMPLETER )
  include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    "${CMAKE_CURRENT_SOURCE_DIR}/ClangCompleter" )
  add_definitions( -DUSE_CLANG_COMPLETER )
else()
  file( GLOB_RECURSE to_remove_clang ClangCompleter/*.h ClangCompleter/*.cpp )

  if( to_remove_clang )
    list( REMOVE_ITEM SERVER_SOURCES ${to_remove_clang} )
  endif()
endif()

#############################################################################

# One can use the system libclang.[so|dylib] like so:
#   cmake -DUSE_SYSTEM_LIBCLANG=1 [...]
# One can also explicitely pick the external libclang.[so|dylib] for use like so:
#   cmake -DEXTERNAL_LIBCLANG_PATH=/path/to/libclang.so [...]
# The final .so we build will then first look in the same dir in which it is
# located for libclang.so. This is provided by the rpath = $ORIGIN feature.

if ( EXTERNAL_LIBCLANG_PATH OR USE_SYSTEM_LIBCLANG )
  if ( USE_SYSTEM_LIBCLANG )
    if ( APPLE )
      set( ENV_LIB_PATHS ENV DYLD_LIBRARY_PATH )
    elseif ( UNIX )
      set( ENV_LIB_PATHS ENV LD_LIBRARY_PATH )
    elseif ( WIN32 )
      set( ENV_LIB_PATHS ENV PATH )
    else ()
      set( ENV_LIB_PATHS "" )
    endif()
    # On Debian-based systems, llvm installs into /usr/lib/llvm-x.y.
    file( GLOB SYS_LLVM_PATHS "/usr/lib/llvm*/lib" )
    # Need TEMP because find_library does not work with an option variable
    find_library( TEMP clang
                  PATHS
                  ${ENV_LIB_PATHS}
                  /usr/lib
                  /usr/lib/llvm
                  ${SYS_LLVM_PATHS}
                  /Library/Developer/CommandLineTools/usr/lib,
                  /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/lib )
    set( EXTERNAL_LIBCLANG_PATH ${TEMP} )
  else()
    # For Macs, we do things differently; look further in this file.
    if ( NOT APPLE )
      # Setting this to true makes sure that libraries we build will have our rpath
      # set even without having to do "make install"
      set( CMAKE_BUILD_WITH_INSTALL_RPATH TRUE )
      set( CMAKE_INSTALL_RPATH "\$ORIGIN" )
    endif()
  endif()

  set( LIBCLANG_TARGET ${EXTERNAL_LIBCLANG_PATH} )
  message(
    "Using external libclang: ${EXTERNAL_LIBCLANG_PATH}" )
else()
  set( LIBCLANG_TARGET )
endif()

if ( EXTRA_RPATH )
  set( CMAKE_INSTALL_RPATH "${EXTRA_RPATH}:${CMAKE_INSTALL_RPATH}" )
endif()

# Needed on Linux machines, but not on Macs
if ( UNIX AND NOT APPLE )
  set( EXTRA_LIBS rt )
endif()

#############################################################################

# We don't actually need all of the files this picks up, just the ones needed by
# PythonSupport.cpp. But this is easier to maintain and dead code elemination
# will remove unused code.
file( GLOB CLIENT_SOURCES *.h *.cpp )
file( GLOB SERVER_SPECIFIC *ycm_core* )

if( SERVER_SPECIFIC )
  list( REMOVE_ITEM CLIENT_SOURCES ${SERVER_SPECIFIC} )
endif()

add_library( ${CLIENT_LIB} SHARED
             ${CLIENT_SOURCES}
           )

target_link_libraries( ${CLIENT_LIB}
                       BoostParts
                       ${PYTHON_LIBRARIES}
                       ${EXTRA_LIBS}
                     )

#############################################################################

add_library( ${SERVER_LIB} SHARED
             ${SERVER_SOURCES}
           )

target_link_libraries( ${SERVER_LIB}
                       BoostParts
                       ${PYTHON_LIBRARIES}
                       ${LIBCLANG_TARGET}
                       ${EXTRA_LIBS}
                     )

if( LIBCLANG_TARGET )
  if( NOT WIN32 )
    add_custom_command(
      TARGET ${SERVER_LIB}
      POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E copy "${LIBCLANG_TARGET}" "$<TARGET_FILE_DIR:${SERVER_LIB}>"
    )
  else()
    add_custom_command(
      TARGET ${SERVER_LIB}
      POST_BUILD
      COMMAND ${CMAKE_COMMAND} -E copy "${PATH_TO_LLVM_ROOT}/bin/libclang.dll" "$<TARGET_FILE_DIR:${SERVER_LIB}>")
  endif()
endif()

#############################################################################

# Convenience target that builds both support libs.
add_custom_target( ${PROJECT_NAME}
                   DEPENDS ${CLIENT_LIB} ${SERVER_LIB} )


#############################################################################

# Things are a bit different on Macs when using an external libclang.dylib; here
# we want to make sure we use @loader_path/libclang.dylib instead of
# @rpath/libclang.dylib in the final ycm_core.so. If we use the
# @rpath version, then it may load the system libclang which the user
# explicitely does not want (otherwise the user would specify
# USE_SYSTEM_LIBCLANG). With @loader_path, we make sure that only the
# libclang.dylib present in the same directory as our ycm_core.so
# is used.
if ( EXTERNAL_LIBCLANG_PATH AND APPLE )
  add_custom_command( TARGET ${SERVER_LIB}
                      POST_BUILD
                      COMMAND install_name_tool
                      "-change"
                      "@rpath/libclang.dylib"
                      "@loader_path/libclang.dylib"
                      "$<TARGET_FILE:${SERVER_LIB}>"
                    )
endif()


#############################################################################

# We don't want the "lib" prefix, it can screw up python when it tries to search
# for our module
set_target_properties( ${CLIENT_LIB} PROPERTIES PREFIX "")
set_target_properties( ${SERVER_LIB} PROPERTIES PREFIX "")

if ( WIN32 OR CYGWIN )
  # This is the extension for compiled Python modules on Windows
  set_target_properties( ${CLIENT_LIB} PROPERTIES SUFFIX ".pyd")
  set_target_properties( ${SERVER_LIB} PROPERTIES SUFFIX ".pyd")
else()
  # Even on macs, we want a .so extension instead of a .dylib which is what
  # cmake would give us by default. Python won't recognize a .dylib as a module,
  # but it will recognize a .so
  set_target_properties( ${CLIENT_LIB} PROPERTIES SUFFIX ".so")
  set_target_properties( ${SERVER_LIB} PROPERTIES SUFFIX ".so")
endif()

set_target_properties( ${CLIENT_LIB} PROPERTIES
  LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/../../python )
set_target_properties( ${SERVER_LIB} PROPERTIES

=== cpp/ycm/tests/CMakeLists.txt ===
# Copyright (C) 2011 Google Inc.
#
# This file is part of YouCompleteMe.
#
# YouCompleteMe is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# YouCompleteMe is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with YouCompleteMe.  If not, see <http://www.gnu.org/licenses/>.

project( ycm_core_tests )
cmake_minimum_required( VERSION 2.8 )

# The gtest library triggers these warnings, so we turn them off; it's not up to
# us to fix gtest warnings, it's up to upstream.
if ( COMPILER_IS_CLANG )
  set( CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS} -Wno-long-long -Wno-variadic-macros -Wno-missing-field-initializers -Wno-unused-private-field" )
endif()

add_subdirectory( gmock )

include_directories(
  ${ycm_support_libs_SOURCE_DIR}
  )

include_directories(
  SYSTEM
  ${gtest_SOURCE_DIR}
  ${gtest_SOURCE_DIR}/include
  ${gmock_SOURCE_DIR}
  ${gmock_SOURCE_DIR}/include
  )

link_directories(
  ${Boost_LIBRARY_DIRS}
  ${PYTHON_LIBRARIES}
  )

file( GLOB_RECURSE SOURCES *.h *.cpp )

# We don't want gmock sources in this target
file( GLOB_RECURSE to_remove gmock/*.h gmock/*.cpp CMakeFiles/*.cpp
  testdata/*.cpp testdata/*.h )

if( to_remove )
  list( REMOVE_ITEM SOURCES ${to_remove} )
endif()

if ( NOT USE_CLANG_COMPLETER )
  file( GLOB_RECURSE to_remove_clang ClangCompleter/*.h ClangCompleter/*.cpp )

  if( to_remove_clang )
    list( REMOVE_ITEM SOURCES ${to_remove_clang} )
  endif()
endif()

add_executable( ${PROJECT_NAME}
                ${SOURCES}
              )

target_link_libraries( ${PROJECT_NAME}
                       ${SERVER_LIB}
                       ${CLIENT_LIB}
                       gmock )


if ( NOT CMAKE_GENERATOR_IS_XCODE )
  # The test executable expects a "testdata" dir in its working directory. Why?
  # Because there's NO reliable, cross-platform way of getting the directory in
  # which the executable is located.
  add_custom_target( copy_testdata
                    COMMAND cmake -E copy_directory
                    ${CMAKE_CURRENT_SOURCE_DIR}/testdata
                    ${CMAKE_CURRENT_BINARY_DIR}/testdata )
else()
  add_custom_target( copy_testdata
                    COMMAND cmake -E copy_directory
                    ${CMAKE_CURRENT_SOURCE_DIR}/testdata
                    ${CMAKE_CURRENT_BINARY_DIR}/Debug/testdata
                    COMMAND cmake -E copy_directory
                    ${CMAKE_CURRENT_SOURCE_DIR}/testdata
                    ${CMAKE_CURRENT_BINARY_DIR}/Release/testdata )

endif()

add_dependencies( ${PROJECT_NAME} copy_testdata )

## vim-youcompleteme 0%2B20190211%2Bgitcbaf813

=== debian/changelog ===
vim-youcompleteme (0+20190211+gitcbaf813-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0+20190211+gitcbaf813
    - Refresh patches
    - Drop (Build-)Depends on python3-frozendict
    - Update sign place regex pattern for vim >= 8.1.0614
  * Bump Standards-Version to 4.3.0 (no changes)

 -- David Kalnischkies <donkult@debian.org>  Thu, 14 Feb 2019 11:38:37 +0100

vim-youcompleteme (0+20181101+gitfaa019a-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sylvestre Ledru ]
  * New upstream release
    - Refresh path-to-server-script.patch

  [ David Kalnischkies ]
  * New upstream version 0+20181101+gitfaa019a
    - Use uscan to generate tarball from upstream git HEAD
    - Refresh path-to-server-script.patch
  * Depend on ycmd via ycmd-core-version provides (Closes: #912030)
  * Don't use dpkg-parsechangelog directly in debian/rules
  * Switch from debhelper 9 to 11
  * Bump Standards-Version to 4.2.1 (no changes)
  * Run nose-based tests at buildtime
  * Use https for upstream homepage
  * Set R³: no in debian/control

 -- David Kalnischkies <donkult@debian.org>  Sat, 03 Nov 2018 01:35:40 +0100

vim-youcompleteme (0+20161219+git194ff33-1) unstable; urgency=low

  * New upstream release. (Closes: #850013, #850113)
  * Refresh patches for new upstream release.
  * Replace ycmd dependency with latest version.

 -- Onur Aslan <onur@onur.im>  Thu, 26 Jan 2017 12:57:50 +0300

vim-youcompleteme (0+20160327+git1b76af4-2) unstable; urgency=low

  * Add python3 support. (Closes: #837646)
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Onur Aslan <onur@onur.im>  Thu, 15 Sep 2016 12:05:01 +0300

vim-youcompleteme (0+20160327+git1b76af4-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches for new upstreal release.
  * Remove 01-vim-expression-to-python-type.patch (fixed in upstream).
  * Update 00-path-to-server-script.patch to avoid using sys.executable
    for python interpreter path.
  * Add ycmd (<< 0+20160327+gitc3e6904.1) into Build-Depends and Depends.

 -- Onur Aslan <onur@onur.im>  Sat, 09 Apr 2016 12:24:46 +0300

=== debian/control ===
Source: vim-youcompleteme
Section: editors
Priority: optional
Maintainer: Onur Aslan <onur@onur.im>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 11),
 dh-python,
 python3,
 python3-future,
 python3-hamcrest,
 python3-mock,
 python3-nose,
 python3-requests,
 python3-requests-futures,
 ycmd (>= 0+20181101+git600f54d~)
X-Python-Version: >= 3.5
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://valloric.github.io/YouCompleteMe/
Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme

Package: vim-youcompleteme
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-future,
 python3-requests (>= 2.2.1),
 python3-requests-futures,
 ycmd-core-version (= ${misc:Core-Ver}),
 vim-nox | vim-python
Recommends: vim-addon-manager
Description: fast, as-you-type, fuzzy-search code completion engine for Vim
 YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
 for Vim. It has several completion engines: an identifier-based engine
 that works with every programming language, a semantic, Clang-based
 engine that provides native semantic code completion for
 C/C++/Objective-C/Objective-C++ and an omnifunc-based completer that uses data
 from Vim's omnicomplete system to provide semantic completions for many
 other languages (Ruby, PHP etc.).

## vim-youcompleteme 0+20131009+gitcbb43ba

=== debian/control ===
Source: vim-youcompleteme
Section: editors
Priority: optional
Maintainer: Onur Aslan <onur@onur.im>
Build-Depends: debhelper (>= 9),
 cmake,
 python-dev,
 libclang-dev (>= 3.3),
 libboost-python-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-thread-dev
Standards-Version: 3.9.5
Homepage: http://valloric.github.io/YouCompleteMe/
Vcs-Git: git://anonscm.debian.org/users/onur-guest/vim-youcompleteme.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onur-guest/vim-youcompleteme.git

Package: vim-youcompleteme
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-jedi,
 vim-nox | vim-python
Recommends: vim-addon-manager
Description: fast, as-you-type, fuzzy-search code completion engine for Vim
 YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
 for Vim. It has several completion engines: an identifier-based engine
 that works with every programming language, a semantic, Clang-based
 engine that provides native semantic code completion for
 C/C++/Objective-C/Objective-C++ and an omnifunc-based completer that uses data
 from Vim's omnicomplete system to provide semantic completions for many
 other languages (Ruby, PHP etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

BUILD_DIR            = $(CURDIR)/ycm_build
GIT_URL              = https://github.com/Valloric/YouCompleteMe.git
DEB_SOURCE           = $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION          = $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_COMMIT  = $(shell echo $(DEB_VERSION) | sed -rn 's/.*git([^-]*).*/\1/p')
DEB_UPSTREAM_VERSION = $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
DEB_INSTALL_DIR      = $(CURDIR)/debian/$(DEB_SOURCE)


%:
	dh $@ --with python2 --sourcedirectory=$(CURDIR)/cpp --builddirectory=$(BUILD_DIR) --parallel

override_dh_install:
	dh_install
	# This file is an executable and it shouldn't be. It's a upstream bug
	chmod a-x $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/cs/cs_completer.py

get-orig-source:
	TMPDIR=`mktemp -d -t`; \
	git clone $(GIT_URL) $$TMPDIR; \
	cd $$TMPDIR; git checkout $(DEB_UPSTREAM_COMMIT); \
	tar --exclude=.git \
	    --exclude=.gitignore \
	    --exclude=.gitmodules \
	    --exclude=.travis.yml \
	    --exclude=cpp/BoostParts \
	    --exclude=cpp/llvm \
	    --exclude=cpp/ycm/tests/gmock \
	    --exclude=python/clang_includes \
	    -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz .; \
	cd $(CURDIR); \
	$(RM) -r $$TMPDIR

## vim-youcompleteme 0+20140207+git18be5c2

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,29 @@
 Build-Depends: debhelper (>= 9),
  cmake,
  python-dev,
+ google-mock,
  libclang-dev (>= 3.3),
  libboost-python-dev,
  libboost-system-dev,
  libboost-filesystem-dev,
  libboost-regex-dev,
- libboost-thread-dev
-Standards-Version: 3.9.5
+ libgtest-dev
+X-Python-Version: >= 2.7
+Standards-Version: 3.9.6
 Homepage: http://valloric.github.io/YouCompleteMe/
-Vcs-Git: git://anonscm.debian.org/users/onur-guest/vim-youcompleteme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/onur-guest/vim-youcompleteme.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/vim-youcompleteme.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vim-youcompleteme.git
 
 Package: vim-youcompleteme
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends},
+ python-bottle,
+ python-futures,
  python-jedi,
+ python-requests (>= 2.2.1),
+ python-waitress,
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,22 @@
 	dh_install
 	# This file is an executable and it shouldn't be. It's a upstream bug
 	chmod a-x $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/cs/cs_completer.py
+	# No need to install tests
+	$(RM) -rv $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/all/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/completer_utils_test.py \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/cpp/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/completers/general/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/server/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/tests \
+	          $(DEB_INSTALL_DIR)/usr/lib/vim-youcompleteme/ycm/test_utils.py
+
+override_dh_auto_test:
+	dh_auto_test
+	cd $(BUILD_DIR)/ycm/tests && ./ycm_core_tests
 
 get-orig-source:
 	TMPDIR=`mktemp -d -t`; \
-	git clone $(GIT_URL) $$TMPDIR; \
+	git clone --recursive $(GIT_URL) $$TMPDIR; \
 	cd $$TMPDIR; git checkout $(DEB_UPSTREAM_COMMIT); \
 	tar --exclude=.git \
 	    --exclude=.gitignore \
@@ -30,6 +42,13 @@
 	    --exclude=cpp/llvm \
 	    --exclude=cpp/ycm/tests/gmock \
 	    --exclude=python/clang_includes \
+	    --exclude=python/ycm/completers/cs/OmniSharpServer \
+	    --exclude=third_party/argparse \
+	    --exclude=third_party/bottle \
+	    --exclude=third_party/jedi \
+	    --exclude=third_party/pythonfutures \
+	    --exclude=third_party/requests \
+	    --exclude=third_party/waitress \
 	    -czvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz .; \
 	cd $(CURDIR); \
 	$(RM) -r $$TMPDIR

## vim-youcompleteme 0+20150806+gitc5a5145

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,27 @@
 Priority: optional
 Maintainer: Onur Aslan <onur@onur.im>
 Build-Depends: debhelper (>= 9),
- cmake,
- python-dev,
- google-mock,
- libclang-dev (>= 3.3),
- libboost-python-dev,
- libboost-system-dev,
- libboost-filesystem-dev,
- libboost-regex-dev,
- libgtest-dev
+ dh-python,
+ python,
+ python-flake8,
+ python-hamcrest,
+ python-mock,
+ python-nose,
+ ycmd (>= 0+20150804+git6f4dbb4)
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.6
 Homepage: http://valloric.github.io/YouCompleteMe/
 Vcs-Git: git://anonscm.debian.org/collab-maint/vim-youcompleteme.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vim-youcompleteme.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
 
 Package: vim-youcompleteme
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends},
+Architecture: all
+Depends: ${misc:Depends},
  ${python:Depends},
- python-bottle,
  python-futures,
- python-jedi,
  python-requests (>= 2.2.1),
- python-waitress,
+ python-requests-futures,
+ ycmd (>= 0+20150804+git6f4dbb4),
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

BUILD_DIR            = $(CURDIR)/ycm_build
GIT_URL              = https://github.com/Valloric/YouCompleteMe.git
DEB_SOURCE           = $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION          = $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_COMMIT  = $(shell echo $(DEB_VERSION) | sed -rn 's/.*git([^-]*).*/\1/p')
DEB_UPSTREAM_VERSION = $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
DEB_INSTALL_DIR      = $(CURDIR)/debian/$(DEB_SOURCE)


%:
	dh $@ --with python2

override_dh_install:
	dh_install
	# No need to install tests
	$(RM) -rv $(DEB_INSTALL_DIR)/usr/share/vim-youcompleteme/python/ycm/tests \
              $(DEB_INSTALL_DIR)/usr/share/vim-youcompleteme/python/ycm/test_utils.py

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	flake8 --select=F,C9 --max-complexity=10 python
	PYTHONPATH=/usr/lib/ycmd nosetests -v --no-byte-compile python
endif

get-orig-source:
	TMPDIR=`mktemp -d -t`; \
	git clone $(GIT_URL) $$TMPDIR; \
	cd $$TMPDIR; git checkout $(DEB_UPSTREAM_COMMIT); \
	tar -czvf $(CURDIR)/vim-youcompleteme.orig.tar.gz .; \
	cd $(CURDIR); \
	dpt repack.sh --upstream-version $(DEB_UPSTREAM_VERSION) vim-youcompleteme.orig.tar.gz ; \
	$(RM) vim-youcompleteme.orig.tar.gz ; \
	$(RM) -r $$TMPDIR

## vim-youcompleteme 0+20160327+git1b76af4

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Build-Depends: debhelper (>= 9),
  dh-python,
  python,
- python-flake8,
+ flake8,
  python-hamcrest,
  python-mock,
  python-nose,
- ycmd (>= 0+20150804+git6f4dbb4)
+ python-requests,
+ python-requests-futures,
+ ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1)
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://valloric.github.io/YouCompleteMe/
-Vcs-Git: git://anonscm.debian.org/collab-maint/vim-youcompleteme.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/vim-youcompleteme.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
 
 Package: vim-youcompleteme
 Architecture: all
@@ -23,7 +25,7 @@
  python-futures,
  python-requests (>= 2.2.1),
  python-requests-futures,
- ycmd (>= 0+20150804+git6f4dbb4),
+ ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1),
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	flake8 --select=F,C9 --max-complexity=10 python
-	PYTHONPATH=/usr/lib/ycmd nosetests -v --no-byte-compile python
+	flake8 --select=F,C9 --max-complexity=12 python
+	PYTHONPATH=/usr/lib/ycmd:$(CURDIR)/third_party/retries nosetests -v --no-byte-compile python
 endif
 
 get-orig-source:

## vim-youcompleteme 0+20161219+git194ff33

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Onur Aslan <onur@onur.im>
 Build-Depends: debhelper (>= 9),
  dh-python,
- python,
+ python3,
  flake8,
- python-hamcrest,
- python-mock,
- python-nose,
- python-requests,
- python-requests-futures,
- ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1)
-X-Python-Version: >= 2.7
-Standards-Version: 3.9.7
+ python3-frozendict,
+ python3-future,
+ python3-hamcrest,
+ python3-mock,
+ python3-nose,
+ python3-requests,
+ python3-requests-futures,
+ ycmd (>= 0+20161219+git486b809), ycmd (<< 0+20161219+git486b809.1)
+X-Python-Version: >= 3.5
+Standards-Version: 3.9.8
 Homepage: http://valloric.github.io/YouCompleteMe/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/vim-youcompleteme.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/vim-youcompleteme.git
@@ -21,11 +23,12 @@
 Package: vim-youcompleteme
 Architecture: all
 Depends: ${misc:Depends},
- ${python:Depends},
- python-futures,
- python-requests (>= 2.2.1),
- python-requests-futures,
- ycmd (>= 0+20160327+gitc3e6904), ycmd (<< 0+20160327+gitc3e6904.1),
+ ${python3:Depends},
+ python3-frozendict,
+ python3-future,
+ python3-requests (>= 2.2.1),
+ python3-requests-futures,
+ ycmd (>= 0+20161219+git486b809), ycmd (<< 0+20161219+git486b809.1),
  vim-nox | vim-python
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_install:
 	dh_install
@@ -22,7 +22,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	flake8 --select=F,C9 --max-complexity=12 python
-	PYTHONPATH=/usr/lib/ycmd:$(CURDIR)/third_party/retries nosetests -v --no-byte-compile python
+	LC_ALL=C.UTF-8 PYTHONPATH=/usr/lib/ycmd:$(CURDIR)/third_party/retries nosetests3 -v --no-byte-compile python
 endif
 
 get-orig-source:

## vim-youcompleteme 0+20190211+gitcbaf813

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, date=%Y%m%d, pretty=0+%cd+git%h" \
https://github.com/Valloric/YouCompleteMe \
HEAD debian uupdate

## vim-youcompleteme 0+20191218+git9e2ab00+ds

=== debian/changelog ===
vim-youcompleteme (0+20191218+git9e2ab00+ds-1) unstable; urgency=medium

  * Set myself as maintainer via one-year hijack (see #912690)
  * New upstream version 0+20191218+git9e2ab00
    - Advertise debian repack from git HEAD
    - Update d/copyright for 2019
    - Update patches
  * Bump Standards-Version (no change required)
  * Bump debhelper compat to 12
  * Use ycm-core namespace instead of valloric as upstream
  * Build-Depend on recent ycmd for core version 42
  * Remove pointless ancient x-python-version >= 3.5

 -- David Kalnischkies <donkult@debian.org>  Sun, 29 Dec 2019 16:40:19 +0100

=== debian/control ===
Source: vim-youcompleteme
Section: editors
Priority: optional
Maintainer: David Kalnischkies <donkult@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3,
 python3-future,
 python3-hamcrest,
 python3-mock,
 python3-nose,
 python3-requests,
 python3-requests-futures,
 ycmd (>= 0+20191222+git2771f6f+ds~)
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://ycm-core.github.io/YouCompleteMe/
Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme

Package: vim-youcompleteme
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends},
 python3-future,
 python3-requests (>= 2.2.1),
 python3-requests-futures,
 ycmd-core-version (= ${misc:Core-Ver}),
 vim-nox | vim-python
Recommends: vim-addon-manager
Description: fast, as-you-type, fuzzy-search code completion engine for Vim
 YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
 for Vim. It has several completion engines: an identifier-based engine
 that works with every programming language, a semantic, Clang-based
 engine that provides native semantic code completion for
 C/C++/Objective-C/Objective-C++ and an omnifunc-based completer that uses data
 from Vim's omnicomplete system to provide semantic completions for many
 other languages (Ruby, PHP etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
DEB_INSTALL_DIR      = $(CURDIR)/debian/$(DEB_SOURCE)

%:
	dh $@ --with python3

override_dh_install:
	echo "misc:Core-Ver=$(shell cat /usr/lib/ycmd/CORE_VERSION )" >> debian/vim-youcompleteme.substvars
	dh_install
	# No need to install tests
	$(RM) -rv $(DEB_INSTALL_DIR)/usr/share/vim-youcompleteme/python/ycm/tests \
              $(DEB_INSTALL_DIR)/usr/share/vim-youcompleteme/python/ycm/test_utils.py

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	LC_ALL=C.UTF-8 PYTHONPATH=/usr/lib/ycmd ./run_tests.py --skip-build --no-flake8
endif

## vim-youcompleteme 0+20200314+git3108b9b+ds

=== debian/changelog ===
vim-youcompleteme (0+20200314+git3108b9b+ds-4) unstable; urgency=medium

  * Import upstream 0+20200505+git630db01+ds as patch series
    - Implement FileSave event
    - Add Auto-hover popup g:ycm_auto_hover (enabled by default)

 -- David Kalnischkies <donkult@debian.org>  Wed, 06 May 2020 08:59:46 +0200

vim-youcompleteme (0+20200314+git3108b9b+ds-3) unstable; urgency=medium

  * Import upstream 0+20200418+git367c151+ds as patch series
    - When available, use complete() and TextChangedP rather than completefunc
      to reduce flicker and noticeable redraw latency on recent vims
    - Add range and mods to YcmToggleLogs, e.g. :vertical 90YcmToggleLogs

 -- David Kalnischkies <donkult@debian.org>  Tue, 28 Apr 2020 11:01:13 +0200

vim-youcompleteme (0+20200314+git3108b9b+ds-2) unstable; urgency=medium

  * Import upstream 0-20200406-git97150c0-ds as patch
  * Use default settings from ycmd directly instead of embedding them

 -- David Kalnischkies <donkult@debian.org>  Fri, 10 Apr 2020 15:21:25 +0200

vim-youcompleteme (0+20200314+git3108b9b+ds-1) unstable; urgency=medium

  [ Jack Bates ]
  * Vim changed Provides vim-python to vim-python3

  [ David Kalnischkies ]
  * New upstream version 0+20200314+git3108b9b+ds
  * Bump year in Copyright stanzas in d/copyright
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Refresh patches removing third_party import attempts
  * Build-dep on pytest instead of nose for testing
  * Add patch to use old hamcrest API in tests

 -- David Kalnischkies <donkult@debian.org>  Sun, 15 Mar 2020 21:36:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  python3-future,
  python3-hamcrest,
  python3-mock,
- python3-nose,
+ python3-pytest,
  python3-requests,
  python3-requests-futures,
  ycmd (>= 0+20191222+git2771f6f+ds~)
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://ycm-core.github.io/YouCompleteMe/
 Vcs-Git: https://salsa.debian.org/debian/vim-youcompleteme.git
 Vcs-Browser: https://salsa.debian.org/debian/vim-youcompleteme
@@ -26,7 +26,7 @@
  python3-requests (>= 2.2.1),
  python3-requests-futures,
  ycmd-core-version (= ${misc:Core-Ver}),
- vim-nox | vim-python
+ vim-nox | vim-python3
 Recommends: vim-addon-manager
 Description: fast, as-you-type, fuzzy-search code completion engine for Vim
  YouCompleteMe is a fast, as-you-type, fuzzy-search code completion engine
